.
    def __call__(self, *args, **kwargs): ...

class Undefined:
    def __init__(self, hint: Optional[Any] = ..., obj: Any = ..., name: Optional[Any] = ..., exc: Any = ...) -> None: ...
    def __getattr__(self, name): ...
    __add__: Any
    __radd__: Any
    __mul__: Any
    __rmul__: Any
    __div__: Any
    __rdiv__: Any
    __truediv__: Any
    __rtruediv__: Any
    __floordiv__: Any
    __rfloordiv__: Any
    __mod__: Any
    __rmod__: Any
    __pos__: Any
    __neg__: Any
    __call__: Any
    __getitem__: Any
    __lt__: Any
    __le__: Any
    __gt__: Any
    __ge__: Any
    __int__: Any
    __float__: Any
    __complex__: Any
    __pow__: Any
    __rpow__: Any
    def __eq__(self, other): ...
    def __ne__(self, other): ...
    def __hash__(self): ...
    def __len__(self): ...
    def __iter__(self): ...
    def __nonzero__(self): ...
    __bool__: Any

def make_logging_undefined(logger: Optional[Any] = ..., base: Optional[Any] = ...): ...

class DebugUndefined(Undefined): ...

class StrictUndefined(Undefined):
    __iter__: Any
    __len__: Any
    __nonzero__: Any
    __eq__: Any
    __ne__: Any
    __bool__: Any
    __hash__: Any
PK